diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.h ns-3.44/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.h
--- ns-3.43/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief the ITU-R 1411 NLOS over rooftop propagation model
+ * @brief the ITU-R 1411 NLOS over rooftop propagation model
  *
  * This class implements the ITU-R 1411 LOS propagation model for
  * Non-Line-of-Sight (NLoS) short range outdoor communication over
@@ -32,8 +32,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -49,17 +49,17 @@
     /**
      * Set the operating frequency
      *
-     * \param freq the frequency in Hz
+     * @param freq the frequency in Hz
      */
     void SetFrequency(double freq);
 
     /**
      *
      *
-     * \param a the first mobility model
-     * \param b the second mobility model
+     * @param a the first mobility model
+     * @param b the second mobility model
      *
-     * \return the loss in dBm for the propagation between
+     * @return the loss in dBm for the propagation between
      * the two given mobility models
      */
     double GetLoss(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/jakes-process.h ns-3.44/src/propagation/model/jakes-process.h
--- ns-3.43/src/propagation/model/jakes-process.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/jakes-process.h	2025-03-09 16:55:49.687372200 -0700
@@ -20,9 +20,9 @@
 class JakesPropagationLossModel;
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Implementation for a single path Stationary Jakes propagation loss model.
+ * @brief Implementation for a single path Stationary Jakes propagation loss model.
  *
  * The Jakes propagation loss model implemented here is
  * described in [1].
@@ -46,8 +46,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     JakesProcess();
@@ -55,18 +55,18 @@
 
     /**
      * Get the channel complex gain
-     * \return the channel complex gain
+     * @return the channel complex gain
      */
     std::complex<double> GetComplexGain() const;
     /**
      * Get the channel gain in dB
-     * \return the channel gain [dB]
+     * @return the channel gain [dB]
      */
     double GetChannelGainDb() const;
 
     /**
      * Set the propagation model using this class
-     * \param model the propagation model using this class
+     * @param model the propagation model using this class
      */
     void SetPropagationLossModel(Ptr<const PropagationLossModel> model);
 
@@ -81,15 +81,15 @@
     {
         /**
          * Initiate oscillator with complex amplitude, initial phase and rotation speed
-         * \param amplitude initial complex amplitude
-         * \param initialPhase initial phase
-         * \param omega rotation speed
+         * @param amplitude initial complex amplitude
+         * @param initialPhase initial phase
+         * @param omega rotation speed
          */
         Oscillator(std::complex<double> amplitude, double initialPhase, double omega);
         /**
          * Get the complex amplitude at a given moment
-         * \param t time instant
-         * \returns the complex amplitude
+         * @param t time instant
+         * @returns the complex amplitude
          */
         std::complex<double> GetValueAt(Time t) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/jakes-propagation-loss-model.h ns-3.44/src/propagation/model/jakes-propagation-loss-model.h
--- ns-3.43/src/propagation/model/jakes-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/jakes-propagation-loss-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -15,9 +15,9 @@
 namespace ns3
 {
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief a  Jakes narrowband propagation model.
+ * @brief a  Jakes narrowband propagation model.
  * Symmetrical cache for JakesProcess
  */
 
@@ -25,8 +25,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     JakesPropagationLossModel();
@@ -50,7 +50,7 @@
 
     /**
      * Get the underlying RNG stream
-     * \return the RNG stream
+     * @return the RNG stream
      */
     Ptr<UniformRandomVariable> GetUniformRandomVariable() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/kun-2600-mhz-propagation-loss-model.h ns-3.44/src/propagation/model/kun-2600-mhz-propagation-loss-model.h
--- ns-3.43/src/propagation/model/kun-2600-mhz-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/kun-2600-mhz-propagation-loss-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Empirical propagation model for the 2.6 GHz frequency
+ * @brief Empirical propagation model for the 2.6 GHz frequency
  *
  * This class implements the empirical model for 2.6 GHz taken from this paper:
  * Sun Kun, Wang Ping, Li Yingze
@@ -30,8 +30,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -43,10 +43,10 @@
     Kun2600MhzPropagationLossModel& operator=(const Kun2600MhzPropagationLossModel&) = delete;
 
     /**
-     * \param a the first mobility model
-     * \param b the second mobility model
+     * @param a the first mobility model
+     * @param b the second mobility model
      *
-     * \return the loss in dBm for the propagation between
+     * @return the loss in dBm for the propagation between
      * the two given mobility models
      */
     double GetLoss(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/okumura-hata-propagation-loss-model.cc ns-3.44/src/propagation/model/okumura-hata-propagation-loss-model.cc
--- ns-3.43/src/propagation/model/okumura-hata-propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/okumura-hata-propagation-loss-model.cc	2025-03-09 16:55:49.687372200 -0700
@@ -120,7 +120,7 @@
         }
         else if (m_environment == OpenAreasEnvironment)
         {
-            loss += -4.70 * std::pow(log_fMhz, 2) + 18.33 * log_fMhz - 40.94;
+            loss += -4.78 * std::pow(log_fMhz, 2) + 18.33 * log_fMhz - 40.94;
         }
     }
     else
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/okumura-hata-propagation-loss-model.h ns-3.44/src/propagation/model/okumura-hata-propagation-loss-model.h
--- ns-3.43/src/propagation/model/okumura-hata-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/okumura-hata-propagation-loss-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief this class implements the Okumura Hata propagation loss model
+ * @brief this class implements the Okumura Hata propagation loss model
  *
  * this class implements the Okumura Hata propagation loss model,
  * which is used to model open area pathloss for distances > 1 Km
@@ -32,8 +32,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -45,10 +45,10 @@
     OkumuraHataPropagationLossModel& operator=(const OkumuraHataPropagationLossModel&) = delete;
 
     /**
-     * \param a the first mobility model
-     * \param b the second mobility model
+     * @param a the first mobility model
+     * @param b the second mobility model
      *
-     * \return the loss in dBm for the propagation between
+     * @return the loss in dBm for the propagation between
      * the two given mobility models
      */
     double GetLoss(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/probabilistic-v2v-channel-condition-model.h ns-3.44/src/propagation/model/probabilistic-v2v-channel-condition-model.h
--- ns-3.43/src/propagation/model/probabilistic-v2v-channel-condition-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/probabilistic-v2v-channel-condition-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -16,9 +16,9 @@
 class MobilityModel;
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the V2V Urban scenario
+ * @brief Computes the channel condition for the V2V Urban scenario
  *
  * Computes the channel condition following the probabilistic model described in
  * M. Boban,  X.Gong, and  W. Xu, “Modeling the evolution of line-of-sight
@@ -30,8 +30,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -49,18 +49,18 @@
     /**
      * Compute the LOS probability
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 
     /**
      * Compute the NLOS probability
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the NLOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the NLOS probability
      */
     double ComputePnlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 
@@ -68,9 +68,9 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the V2V Highway scenario
+ * @brief Computes the channel condition for the V2V Highway scenario
  *
  * Computes the channel condition following the probabilistic model described in
  * M. Boban,  X.Gong, and  W. Xu, “Modeling the evolution of line-of-sight
@@ -82,8 +82,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -101,18 +101,18 @@
     /**
      * Compute the LOS probability
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 
     /**
      * Compute the NLOS probability
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the NLOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the NLOS probability
      */
     double ComputePnlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/propagation-cache.h ns-3.44/src/propagation/model/propagation-cache.h
--- ns-3.43/src/propagation/model/propagation-cache.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/propagation-cache.h	2025-03-09 16:55:49.687372200 -0700
@@ -15,8 +15,8 @@
 namespace ns3
 {
 /**
- * \ingroup propagation
- * \brief Constructs a cache of objects, where each object is responsible for a single propagation
+ * @ingroup propagation
+ * @brief Constructs a cache of objects, where each object is responsible for a single propagation
  * path loss calculations. Propagation path a-->b and b-->a is the same thing. Propagation path is
  * identified by a couple of MobilityModels and a spectrum model UID
  */
@@ -24,15 +24,20 @@
 class PropagationCache
 {
   public:
-    PropagationCache(){};
-    ~PropagationCache(){};
+    PropagationCache()
+    {
+    }
+
+    ~PropagationCache()
+    {
+    }
 
     /**
      * Get the model associated with the path
-     * \param a 1st node mobility model
-     * \param b 2nd node mobility model
-     * \param modelUid model UID
-     * \return the model
+     * @param a 1st node mobility model
+     * @param b 2nd node mobility model
+     * @param modelUid model UID
+     * @return the model
      */
     Ptr<T> GetPathData(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b, uint32_t modelUid)
     {
@@ -47,10 +52,10 @@
 
     /**
      * Add a model to the path
-     * \param data the model to associate to the path
-     * \param a 1st node mobility model
-     * \param b 2nd node mobility model
-     * \param modelUid model UID
+     * @param data the model to associate to the path
+     * @param a 1st node mobility model
+     * @param b 2nd node mobility model
+     * @param modelUid model UID
      */
     void AddPathData(Ptr<T> data,
                      Ptr<const MobilityModel> a,
@@ -89,7 +94,10 @@
                                   uint32_t modelUid)
             : m_srcMobility(a),
               m_dstMobility(b),
-              m_spectrumModelUid(modelUid){};
+              m_spectrumModelUid(modelUid)
+        {
+        }
+
         Ptr<const MobilityModel> m_srcMobility; //!< 1st node mobility model
         Ptr<const MobilityModel> m_dstMobility; //!< 2nd node mobility model
         uint32_t m_spectrumModelUid;            //!< model UID
@@ -103,8 +111,8 @@
          * If the models are different, the comparison is based on their Uid.
          * Otherwise, the comparison is based on the pointers of the Mobility models.
          *
-         * \param other Right value of the operator.
-         * \returns True if the Left value is less than the Right value.
+         * @param other Right value of the operator.
+         * @returns True if the Left value is less than the Right value.
          */
         bool operator<(const PropagationPathIdentifier& other) const
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/propagation-delay-model.h ns-3.44/src/propagation/model/propagation-delay-model.h
--- ns-3.43/src/propagation/model/propagation-delay-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/propagation-delay-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -19,23 +19,23 @@
 class MobilityModel;
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief calculate a propagation delay.
+ * @brief calculate a propagation delay.
  */
 class PropagationDelayModel : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     ~PropagationDelayModel() override;
     /**
-     * \param a the source
-     * \param b the destination
-     * \returns the calculated propagation delay
+     * @param a the source
+     * @param b the destination
+     * @returns the calculated propagation delay
      *
      * Calculate the propagation delay between the specified
      * source and destination.
@@ -47,8 +47,8 @@
      * 'stream'.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -59,23 +59,23 @@
      * Subclasses must implement this; those not using random variables
      * can return zero.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t DoAssignStreams(int64_t stream) = 0;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief the propagation delay is random
+ * @brief the propagation delay is random
  */
 class RandomPropagationDelayModel : public PropagationDelayModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -92,16 +92,16 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief the propagation speed is constant
+ * @brief the propagation speed is constant
  */
 class ConstantSpeedPropagationDelayModel : public PropagationDelayModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -111,11 +111,11 @@
     ConstantSpeedPropagationDelayModel();
     Time GetDelay(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
     /**
-     * \param speed the new speed (m/s)
+     * @param speed the new speed (m/s)
      */
     void SetSpeed(double speed);
     /**
-     * \returns the current propagation speed (m/s).
+     * @returns the current propagation speed (m/s).
      */
     double GetSpeed() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/propagation-environment.h ns-3.44/src/propagation/model/propagation-environment.h
--- ns-3.43/src/propagation/model/propagation-environment.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/propagation-environment.h	2025-03-09 16:55:49.687372200 -0700
@@ -15,7 +15,7 @@
 {
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
  * The type of propagation environment
  *
@@ -28,7 +28,7 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
  * The size of the city in which propagation takes place
  *
